<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateLinkerRelationsTable extends Migration
{

    /**
     * Run the migrations.
     * @return void
     */
    public function up()
    {
        Schema::create('linker_relations', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('linker_id')->index();
            $table->morphs('model');
            $table->enum('mode', ['replace', 'append', 'override'])->default('override');
            $table->json('params')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('linker_relations');
    }

}
